Vanilla 1 is no longer supported or maintained. If you need a copy, you can get it here.
HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Options

A fatal, non-recoverable error has occurred

edited April 2007 in Vanilla 1.0 Help
Hi guys, Just set up new hosting so I could get a forum, downloaded and uploaded to the new hosting all the Vanilla files. Set up went fine, then when I clicked the final link on the last set up page to tinker with bits that goes to the vanilla/people.php file, I get this... "Technical information (for support personel): Error Message The "Authenticator" class referenced by "Authenticator" does not appear to exist. Affected Elements ObjectFactory.NewObject(); " Any help would be a appreciated, cheers.

Comments

  • Options
    MarkMark Vanilla Staff
    What version of PHP are you using? Have you verified that all of the files were uploaded correctly? In particular, look in the library/People folder to make sure People.Class.Authenticator.php is there and has all of the contents.
  • Options
    PHP 4.4.2 and I've made sure that the files are all there. Shall I switch it to PHP 5.2.1?
  • Options
    MarkMark Vanilla Staff
    No, your php version should work. Are you sure that the file contents match those here: http://lussumo.com/svn/people/tags/People-1.1.1/People.Class.Authenticator.php
This discussion has been closed.